{
  "version": "1.0.0",
  "stack": {
    "name": "alb",
    "kind": "l1",
    "depth": 1
  },
  "resources": [
    {
      "id": "alb-loadbalancer",
      "type": "aws:elbv2:loadbalancer",
      "module": "alb@1.0.0",
      "inputs": {
        "name": "acdl-alb",
        "subnets": "subnet-12345",
        "security_group": "sg-12345",
        "region": "us-east-1"
      },
      "outputs": {
        "lb_arn": {
          "type": "arn"
        }
      }
    },
    {
      "id": "alb-targetgroup",
      "type": "aws:elbv2:targetgroup",
      "module": "alb@1.0.0",
      "inputs": {
        "name": "acdl-alb",
        "port": 80,
        "protocol": "HTTP",
        "region": "us-east-1"
      },
      "outputs": {
        "target_group_arn": {
          "type": "arn"
        }
      }
    },
    {
      "id": "alb-listener",
      "type": "aws:elbv2:listener",
      "module": "alb@1.0.0",
      "inputs": {
        "port": 80,
        "protocol": "HTTP",
        "region": "us-east-1"
      },
      "outputs": {
        "listener_arn": {
          "type": "arn"
        }
      }
    }
  ]
}
